


#include "DHT.h"
#include "LiquidCrystal.h"

#define DHTPIN 2
#define DHTTYPE DHT21
DHT dht(DHTPIN, DHTTYPE);
LiquidCrystal lcd(8, 7, 6, 5, 4, 3);

const int setButton = 13;
const int upButton = 12;
const int downButton = 11;
const int temprelay = 10;
const int humidityrelay = 9;


void setup() {
  lcd.begin(16, 2);
  lcd.clear();

  dht.begin();
}

void loop() {

  delay(10000);

  float h = dht.readHumidity();
  float t = dht.readTemperature();

  if (isnan(h) || isnan(t)) {
    lcd.setCursor(0,0);
    lcd.print("Failed to read ");
    lcd.setCursor(0,1);
    lcd.print("from DHT sensor!");
    return;
  }
   lcd.print("Humidity:");
   lcd.setCursor(10,0);
   lcd.print(h);
   lcd.setCursor(15,0);
   lcd.print("%");
   lcd.setCursor(1,1);
   lcd.print("Temp:");
   lcd.setCursor(7,1);
   lcd.print(t);
   lcd.setCursor(12,1);
   lcd.print(" *C ");
}
